EXTEND_DMALLOC(1)

NAME
extend_dmalloc - analyse return-addresses from dmalloc logfiles

SYNOPSIS
extend_dmalloc dmalloc-log binary

DESCRIPTION
extend_dmalloc will run gdb(1) to get information on the return-addresses from a dmalloc(1) logfile. Specifically it will examine any ra= lines and try to get the corresponding line numbers.

The argument binary must be the binary that generated the log dmalloc-log.

This utility is part of the TDE Software Development Kit.

NOTES
You may wish to direct the output from extend_dmalloc to a file, since otherwise gdb seems to prompt for a return as if you are at the end of a page.

AUTHOR
extend_dmalloc was written by Gray Watson <gray.watson@letters.com>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).